fix compatibility of test suit with django 1.10 #212

Merged
merged 8 commits into from Oct 24, 2016

Projects

None yet

2 participants

@luzfcb
Contributor
luzfcb commented Aug 16, 2016 edited
  • fix compatibility of the test suit with django 1.10
  • use tox to run test suite on travis-ci
@luzfcb luzfcb changed the title from add django 1.10 to travis-ci test matrix to fix compatibility of test suit with django 1.10 Aug 29, 2016
@luzfcb
Contributor
luzfcb commented Aug 29, 2016

@kennethlove tests fail with python3.2, because the last pip version that supports 3.2 is 7.1.2. I have not figured out how to force tox use another pip version in a specific test environment

@luzfcb luzfcb referenced this pull request in pydanny/cookiecutter-django Aug 29, 2016
Closed

Update to Django 1.10 #703

7 of 12 tasks complete
@luzfcb luzfcb add django 1.10 trove classifier on setup.py
update docs
add myself to CONTRIBUTORS.txt
7d9b3ac
@luzfcb
Contributor
luzfcb commented Aug 30, 2016

@kennethlove Python 3.2 reached the End of Life on 2016-02-20 (https://docs.python.org/devguide/#status-of-python-branches) and django officially no longer supports any version <1.8 ( https://www.djangoproject.com/download/#supported-versions)

I believe it is viable to remove support for Python 3.2 and and perhaps django <1.8

@kennethlove
Member

I'm OK with dropping support for Python 3.2 but earlier versions of Django are where django-braces is most useful, so I'd rather not drop support for them until/unless we have to.

@luzfcb
Contributor
luzfcb commented Aug 31, 2016

@kennethlove i remove python 3.2 and all tests are now passing.
thank you for your hard work on this project.

@luzfcb
Contributor
luzfcb commented Oct 20, 2016
@kennethlove kennethlove merged commit 4e8a238 into brack3t:master Oct 24, 2016

1 check passed

continuous-integration/travis-ci/pr The Travis CI build passed
Details
@luzfcb
Contributor
luzfcb commented Oct 24, 2016

@kennethlove 🙏 if not asking too much, could you mark this pull-request with the label "Hacktoberfest"

@luzfcb luzfcb deleted the luzfcb:patch-1 branch Oct 25, 2016
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment